package com.yihu.jw.entity.hospital.consult;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
* 候诊室实体
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "wlyy_hospital_waiting_room")
public class WlyyHospitalWaitingRoomDO extends UuidIdentityEntity {

    /**
	 * 诊室ID
	 */
	private String clinicroomId;

    /**
	 * 居民ID
	 */
	private String patientId;

    /**
	 * 居民姓名
	 */
	private String patientName;

    /**
     * 医院code
     */
    private String hospital;

    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * 部门
     */
    private String dept;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 医生
     */
    private String doctor;

    /**
     * 医生名称
     */
    private String doctorName;

    /**
     * 全科医生
     */
    private String generalDoctor;

    /**
     * 全科医生名称
     */
    private String generalDoctorName;

    /**
	 * 0离线 1在线(候诊) 2已诊
	 */
	private Integer visitStatus;

    /**
	 * 预约时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date reservationTime;

    /**
	 * 排序
	 */
	private Integer sort;

    /**
	 * 门诊类型: 1续方复诊 2协同门诊
	 */
	private Integer reservationType;

    /**
	 * 咨询类型: 1图文 2视频 3图文+视频
	 */
	private Integer consultType;

    /**
     * 号别，多号别用“,”分割
     */
    private String chargeType;
	
	/**
	 * 门诊记录ID
	 */
	private String outpatientId;

    /**
     *  创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date createTime;


	@Column(name = "clinicroom_id")
    public String getClinicroomId() {
        return clinicroomId;
    }
    public void setClinicroomId(String clinicroomId) {
        this.clinicroomId = clinicroomId;
    }

	@Column(name = "patient_id")
    public String getPatientId() {
        return patientId;
    }
    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

	@Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

	@Column(name = "visit_status")
    public Integer getVisitStatus() {
        return visitStatus;
    }
    public void setVisitStatus(Integer visitStatus) {
        this.visitStatus = visitStatus;
    }

	@Column(name = "reservation_time")
    public Date getReservationTime() {
        return reservationTime;
    }
    public void setReservationTime(Date reservationTime) {
        this.reservationTime = reservationTime;
    }

	@Column(name = "sort")
    public Integer getSort() {
        return sort;
    }
    public void setSort(Integer sort) {
        this.sort = sort;
    }

	@Column(name = "reservation_type")
    public Integer getReservationType() {
        return reservationType;
    }
    public void setReservationType(Integer reservationType) {
        this.reservationType = reservationType;
    }

	@Column(name = "consult_type")
    public Integer getConsultType() {
        return consultType;
    }
    public void setConsultType(Integer consultType) {
        this.consultType = consultType;
    }
	
	@Column(name = "outpatient_id")
	public String getOutpatientId() {
		return outpatientId;
	}
	
	public void setOutpatientId(String outpatientId) {
		this.outpatientId = outpatientId;
	}

    @Column(name = "hospital")
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Column(name = "hospital_name")
    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    @Column(name = "dept")
    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    @Column(name = "dept_name")
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "general_doctor")
    public String getGeneralDoctor() {
        return generalDoctor;
    }

    public void setGeneralDoctor(String generalDoctor) {
        this.generalDoctor = generalDoctor;
    }

    @Column(name = "general_doctor_name")
    public String getGeneralDoctorName() {
        return generalDoctorName;
    }

    public void setGeneralDoctorName(String generalDoctorName) {
        this.generalDoctorName = generalDoctorName;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "charge_type")
    public String getChargeType() {
        return chargeType;
    }

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }
}